using CaseAccountingDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace CaseAccountingContracts.ViewModels
{
	public class DealViewModel : IDealModel
	{
		[DisplayName("Предмет договора")]
		public string Subject { get; set; } = string.Empty;
		[DisplayName("Обязанности")]
		public string Responsibilities { get; set; } = string.Empty;
		[DisplayName("Дата составления")]
		public DateTime Date { get; set; }
        public int UserId { get; set; }
        public int Id { get; set; }
        public Dictionary<int, ICaseModel> Cases { get; set; } = new();
    }
}
